All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.expr.relational
Class TimeShiftAlignment

    com.sas.iquery.metadata.expr.relational.TimeShiftAlignment

    @SASScope(value="ALL")
    @Immutable
    public final class TimeShiftAlignment

Models the alignment of the ending date in a `AbstractRelativeTimeValueExpression`. Controls the position of a relative date expression within an interval. The `TimeShiftAlignment` can be one of these values:

- BEGINNING_OF specifies that date value is aligned to the beginning of the interval.
- MIDDLE_OF specifies that date value is aligned to the midpoint of the interval.
- END_OF specifies that date value is aligned to the end of the interval.
- NONE specifies that date value is aligned to the same calendar date within the interval.

Since:
  9.1.3sp4

Field Summary
`static TimeShiftAlignment` | `BEGINNING_OF` TimeShiftAlignment object representing startingAlignment to the beginning.
`static TimeShiftAlignment` | `END_OF` TimeShiftAlignment object representing end startingAlignment.
`static TimeShiftAlignment` | `MIDDLE_OF` TimeShiftAlignment object representing middle startingAlignment.
`static TimeShiftAlignment` | `NONE` TimeShiftAlignment object representing no startingAlignment.
`static TimeShiftAlignment` | `SAMEDAY_OF` TimeShiftAlignment object representing sameday startingAlignment.

Method Summary
`static java.util.List<TimeShiftAlignment>` | `getValues()` Get the list of supported `TimeShiftAlignment` types.

Field Detail

### NONE

    public static final TimeShiftAlignment NONE

  TimeShiftAlignment object representing no startingAlignment. This is output as "none" for persistence and "sameday" for query text.

### BEGINNING_OF

    public static final TimeShiftAlignment BEGINNING_OF

  TimeShiftAlignment object representing startingAlignment to the beginning. This is output as "beginning" for persistence and "beginning" for query text.

### MIDDLE_OF

    public static final TimeShiftAlignment MIDDLE_OF

  TimeShiftAlignment object representing middle startingAlignment. This is output as "middle" for persistence and "middle" for query text.

### END_OF

    public static final TimeShiftAlignment END_OF

  TimeShiftAlignment object representing end startingAlignment. This is output as "end" for persistence and "end" for query text.

### SAMEDAY_OF

    public static final TimeShiftAlignment SAMEDAY_OF

  TimeShiftAlignment object representing sameday startingAlignment. This is output as "sameday" for persistence and "sameday" for query text.

Method Detail

### getValues

    public static java.util.List<TimeShiftAlignment> getValues()

  Get the list of supported `TimeShiftAlignment` types.

  Returns:
    an unmodifiable list of the internal types

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.